export declare enum Locale {
    ENGLISH = "en",
    ARABIC = "ar",
    SPANISH = "es",
    JAPANESE = "ja",
    KOREAN = "ko",
    VIETNAMESE = "vi",
    CHINESE = "zh"
}
export declare type LocaleDetails = {
    displayName: string;
    shortName: string;
    dir: 'ltr' | 'rtl';
};
export declare type NestedStrings = {
    [key: string]: NestedStrings | string;
};
export declare type NestedPath<T extends NestedStrings> = {
    [K in keyof T]: T[K] extends string ? K & string : T[K] extends NestedStrings ? `${K & string}.${NestedPath<T[K]>}` : '';
}[keyof T];
export declare type Translations = {
    [key in Locale]?: {
        [key: string]: NestedStrings;
    };
};
export declare type DefaultTranslations = Translations & {
    [key in Locale]: {
        components: {
            global: NestedStrings;
        };
    };
};
